Description

Hello,

I'm trying to add an OCS Inventory repo yo my Foreman Katello, but, it doesn't work...

I can see the packet list into Foreman at Content/Packages, but, I have configurated this repo like I added my centos repos, but, the

clients doesn'r see this new repo

History

#1 - 01/14/2020 08:37 AM - Alex Losa

- Priority changed from Normal to Immediate

I see that when I create the OCS repo, all is ok, but...

In "Distribution Information", tell me "No distribution available"

While in, for example a Centos 7 repo, tell me:

Distribution Information

Versión

7

Architecture

x86_64

Family

CentOS

Variant

Bootable

true

#2 - 01/14/2020 08:38 AM - Alex Losa

I'm using

Foreman 1.22

Katello 3.12

#3 - 01/14/2020 08:40 AM - Alex Losa

for this problem, subscription-manager doesn't create "redhat.repo" into the client.

#4 - 01/15/2020 06:42 PM - Chris Roberts

- Status changed from New to Need more information

- Priority changed from Immediate to Normal

Hi,

What is an OCS repo, what is the url of the repo so we can look at this further? Also has this worked on a previous version of Katello and Foreman?

#5 - 01/17/2020 07:01 AM - Alex Losa
OCS Inventory repository

the URL are:

https://rpm.ocsinventory-ng.org/enterprise/6/x86_64/

and

https://rpm.ocsinventory-ng.org/enterprise/7/x86_64/

No, I have only tried in this version

#6 - 01/24/2020 08:56 PM - Ian Ballou

Hi Alex,

Firstly don't worry about the distribution information, not all repositories have it.

I've synced both of the OCS repositories you've sent and added their subscription to a Katello client using Katello 3.12.  When I did sudo

subscription-manager repos --list, I saw the two OCS repos and could enable them.  Is that what you're trying to do?

A couple things could be happening.  Did you remember to add the proper subscription for your OCS repositories to the Katello client?  That could

cause the repositories to not show up.  Also, if you're using content views or lifecycle environments you should double check that your client is

configured to use the correct content view and lifecycle environment.

#7 - 02/11/2020 10:35 PM - Ian Ballou

Hi Alex, do you still need help with this issue?

#8 - 02/19/2020 06:40 PM - Samir Jha

- Status changed from Need more information to Closed

Hey Alex,

Please open a new issue if you are still seeing this.

#9 - 02/26/2020 06:34 PM - James Jeffers

- Triaged changed from No to Yes

#10 - 02/26/2020 06:35 PM - James Jeffers

- Target version set to Katello 3.16.0

#11 - 09/08/2020 05:22 PM - Chris Roberts

- Target version changed from Katello 3.16.0 to Katello Recycle Bin

- Triaged changed from Yes to No

#12 - 09/09/2020 05:32 PM - Samir Jha

- Triaged changed from No to Yes
